IXP_PFCALL(3)

NAME

ixp_pfcall, ixp_pqid, ixp_pqids, ixp_pstat, ixp_sizeof_stat

SYNOPSIS
  #include <ixp.h>

  void ixp_pfcall(IxpMsg *msg, IxpFcall *fcall);

  void ixp_pqid(IxpMsg *msg, IxpQid *qid);

  void ixp_pqids(IxpMsg *msg, uint16_t *num, IxpQid qid[], uint max);

  void ixp_pstat(IxpMsg *msg, IxpStat *stat);

  uint16_t ixp_sizeof_stat(IxpStat *stat);

DESCRIPTION

These convenience functions pack or unpack the contents of libixp structures into their wire format. They behave as if ixp_pu8(3), ixp_pu16(3), ixp_pu32(3), ixp_pu64(3), and ixp_pstring(3) were called for each member of the structure in question. ixp_pqid is to ixp_pqid as ixp_pstrings(3) is to ixp_pstring.

ixp_sizeof_stat returns the size of the packed represention of IstatR.

SEE ALSO

IxpMsg(3), ixp_pu8(3), ixp_pu16(3), ixp_pu32(3), ixp_pu64(3), ixp_pstring(3), ixp_pstrings(3)